%{?scl:%scl_package felix-scr}
%{!?scl:%global pkg_name %{name}}

%if 0%{?rhel}
# Use java common's requires/provides generator
%{?java_common_find_provides_and_requires}
%endif%

%global project felix
%global bundle  org.apache.felix.scr

Name:          %{?scl_prefix}felix-scr
Version:       1.6.2
Release:       4%{?dist}
Summary:       Apache Felix Declarative Services Runtime
License:       ASL 2.0
URL:           http://felix.apache.org/documentation/subprojects/apache-felix-service-component-runtime.html
# Latest release use org.osgi:org.osgi.enterprise:jar:5.0.0 & org.osgi:org.osgi.core:jar:5.0.0
# To build tarball from vcs use:
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.scr-1.6.2
# tar -czvf org.apache.felix.scr-1.6.2.tar.gz org.apache.felix.scr-1.6.2
Source0:       %{bundle}-%{version}.tar.gz
Patch0:        fix-pom.patch


BuildRequires: %{?scl_prefix_java_common}maven-local
BuildRequires: %{?scl_prefix_maven}mvn(net.sf.kxml:kxml2)
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.felix:felix-parent:pom:)
BuildRequires: %{?scl_prefix_java_common}mvn(org.apache.felix:org.apache.felix.framework)
BuildRequires: %{?scl_prefix}mvn(org.apache.felix:org.apache.felix.gogo.runtime)
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.felix:org.apache.felix.shell)
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.felix:org.apache.felix.utils)
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.maven.plugins:maven-failsafe-plugin)
BuildRequires: %{?scl_prefix_maven}mvn(org.osgi:org.osgi.compendium)
BuildRequires: %{?scl_prefix_maven}mvn(org.osgi:org.osgi.core)

BuildArch:     noarch

%description
Implementation of the Declarative Services specification 1.2.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
%setup -q -n %{bundle}-%{version}
%patch0 -p0

cp src/main/appended-resources/META-INF/LICENSE ./
cp src/main/appended-resources/META-INF/NOTICE ./

# error: type ServiceReference does not take parameters (java7 build fix)
sed -i "s|public void configureComponentHolders(final ServiceReference<ConfigurationAdmin>|public void configureComponentHolders(final ServiceReference|" \
 src/main/java/org/apache/felix/scr/impl/config/ConfigurationSupport.java

%mvn_file :%{bundle} %{project}/%{bundle}
%{?scl:EOF}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
# no test deps availables e.g org.ops4j.pax.url:pax-url-wrap:1.4.0.RC1
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8
%{?scl:EOF}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
%mvn_install
%{?scl:EOF}

%files -f .mfiles
%doc changelog.txt

%if 0%{?rhel} <= 6
 %doc LICENSE NOTICE
%else
 %license LICENSE NOTICE
%endif

%files javadoc -f .mfiles-javadoc
%if 0%{?rhel} <= 6
 %doc LICENSE NOTICE
%else
 %license LICENSE NOTICE
%endif


%changelog
* Thu Sep 10 2015 jkang@redhat.com - 1.6.2-4
- SCL-ize package

* Wed Jul 08 2015 jkang@redhat.com - 1.6.2-3
- Added LICENSE and NOTICE files

* Wed Jun 17 2015 Jie Kang <jkang@redhat.com> - 1.6.2-2
- Changed to vcs source as tarball no longer available

* Sun Oct 06 2013 gil cattaneo <puntogil@libero.it> 1.6.2-1
- initial rpm
